public class Gebiet implements GebietInterface{
    private int jahr;
    private int schluessel;
    private String name;
    private long gesamtEinkommen;
    private int durchschnittsEinkommen;

    public Gebiet(int jahr, int schluessel, String name, long gesamtEinkommen, int durchschnittsEinkommen) {
        this.jahr = jahr;
        this.schluessel = schluessel;
        this.name = name;
        this.gesamtEinkommen = gesamtEinkommen;
        this.durchschnittsEinkommen = durchschnittsEinkommen;
    }

    public int getJahr() {
        return jahr;
    }

    public int getSchlüssel() {
        return schluessel;
    }

    public String getName() {
        return name;
    }

    public long getGesamtEinkommen() {
        return gesamtEinkommen;
    }

    public int getDurchschnittsEinkommen() {
        return durchschnittsEinkommen;
    }

    public int getAnzahlEinwohner() {
        return 1;
    }

    @Override
    public String toString() {
        return "Gebiet{" +
                "jahr=" + jahr +
                ", schluessel=" + schluessel +
                ", name='" + name + '\'' +
                ", gesamtEinkommen=" + gesamtEinkommen +
                ", durchschnittsEinkommen=" + durchschnittsEinkommen +
                '}';
    }
}
